//
//  LineSegment.h
//  SecondWindow
//
//  Created by Kenneth Hoffmann on Sun Jun 13 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@class NewPoint;

@interface LineSegment : NSObject <NSCoding> {
	float slope;
	float multConstant;
	
	float Xoffset;
	float Yoffset;
	
	BOOL isSelected;
	BOOL isNegative;
	
	NSPoint startingPoint;
	NSPoint startingPointOffset;
	NSPoint endingPoint;
	NSPoint endingPointOffset;
	NSString * type;
}

-(void)setSlope:(float)slo;
-(void)setMultConstant:(float)con;
-(void)setXOffset:(float)off;
-(void)setYOffset:(float)off;
-(void)setStartingPoint:(NSPoint)poin;
-(void)setStartingPointOffset:(NSPoint)poin;
-(void)setEndingPoint:(NSPoint)poin;
-(void)setEndingPointOffset:(NSPoint)poin;
-(void)setLineType:(NSString *)typ;
-(void)setIsSelected:(BOOL)YoN;
-(void)setNegative:(BOOL)Yn;

-(float)getSlope;
-(float)getMultConstant;
-(float)getXOffset;
-(float)getYOffset;
-(BOOL)isSelected;
-(BOOL)isNegative;

-(NSPoint)getStartingPoint;
-(NSPoint)getStartingPointOffset;
-(NSPoint)getEndingPoint;
-(NSPoint)getEndingPointOffset;
-(NSString *)getType;

@end
