//
//  CoordConverter.h
//  SecondWindow
//
//  Created by Kenneth Hoffmann on Tue Jul 27 2004.
//  Copyright (c) 2004 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface CoordConverter : NSObject <NSCoding> {
	float minX;
	float maxX;
	float minY;
	float maxY;
	
	float offsetMult;
	float offsetAdd;
	float offsetSub;

}

-(id)init:(float)minX2 newMaxX:(float)maxX2 newMinY:(float)minY2 newMaxY:(float)maxY2;

-(float)readField:(NSString *)str typ:(NSString *)type;

-(float)didFinishMinX:(float)newMinX;
-(float)didFinishMaxX:(float)newMaxX;
-(float)didFinishMinY:(float)newMinY;
-(float)didFinishMaxY:(float)newMaxY;

-(void)setMinY:(float)newMinY;
-(void)setMaxY:(float)newMaxY;

-(float)calculateXCoord:(NSPoint)mouseLoc;
-(float)calculateYCoord:(NSPoint)mouseLoc;
@end
